matrix:
  unix_platform:
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
  windows_platform:
    - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  unix_verify_targets:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost.property_tree//:boost.property_tree'
  windows_verify_targets:
    name: Verify build targets
    platform: ${{ windows_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=/std:c++17'
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost.property_tree//:boost.property_tree'
